Subject: Re: GitGitGadget and `next`, was Re: [PATCH v5 3/3] ls-files.c: add --deduplicate option

From: Junio C Hamano <[email-masked]>
Date: Fri, 19 Mar 2021 11:11:44 -0700

Johannes Schindelin <[email-masked]> writes:

> On Fri, 22 Jan 2021, Junio C Hamano wrote:
>
>> Just being curious, but when a series hits 'next', would the way in
>> which the user interacts with GGG change?
>
> My hunch is that we should probably tell new users (for who GitGitGadget
> now uses the "new user" PR label) about the expectations of only adding
> patches on top (i.e. in a new PR), unless the branch gets kicked out of
> `next`.
>
>> With or without GGG, what is done on the local side is not all that
>> different---you build new commits on top without disturbing the commits
>> that are in 'next'. Then what?  Push it again (this time there is no
>> need to force) and submit the additional ones via `/submit`?
>
> GitGitGadget would send the entire patch series, which is probably not a
> good idea.

Thanks for a clarification.

While we are on the topic of GGG, if I may ask for a new feature or
two (or perhaps such a feature already exists), it would be nice if
contributors are allowed to tweak who are CC'ed in the outgoing
patch mail in various ways:

 - I may author a commit as <[email-masked]> and make a pull
   request on GitHub, but the <[email-masked]> is the address
   associated with the GitHub account making the pull request.  I
   think GGG sends CC to the author (at work) as well as me, but I
   may prefer to get correspondence on the patch at either one of my
   addresses not both.  "Mr GGG, please compute the CC list the
   normal way, and drop this address from the CC list" that I can
   say when I say "/submit" might be a good way to do so.

 - Also, at "/submit" time, being able to say "Also CC: these
   addresses" would be a good feature, without contaminating the
   commit log message with CC: trailer lines.

Thanks.